import pino from "pino";
import { genTokenPayload, getData, IResponse, postData, tokenData, updateData } from "./interfaces";
export { getData, postData, updateData, pino };
export declare const createLogger: (level?: pino.Level) => import("pino").Logger<never>;
export declare class ApiConfig {
    baseURL: string;
    headers: Record<string, string>;
    private log;
    constructor(baseURL?: string, headers?: Record<string, string>, logLevel?: pino.Level);
    generateToken(payload: genTokenPayload, secret: string): string;
    decodeToken(token: string, secret: string): tokenData;
    getLocalStorageValue(key: string): any;
    private makeRequest;
    get: (data: getData) => Promise<any>;
    post: (data: postData) => Promise<any>;
    put: (data: updateData) => Promise<any>;
    patch: (data: updateData) => Promise<any>;
    delete: (data: updateData) => Promise<any>;
    private isValidUrl;
    private newUrl;
    protected CallApi(url: string, requestValues?: RequestInit): Promise<IResponse | any>;
}
export declare class PinoLogger {
    log: pino.Logger;
    constructor(logLevel?: pino.Level);
}
